MediaWiki:Gadget-Mainpage.css: Difference between revisions

Kuhlau (talk | contribs)
No edit summary
Kuhlau (talk | contribs)
No edit summary
 
(10 intermediate revisions by the same user not shown)
Line 2: Line 2:
.mainpage-container {
.mainpage-container {
display: flex;
display: flex;
gap: 2em;
}
}


Line 12: Line 13:
display: flex;
display: flex;
flex-direction: column;
flex-direction: column;
gap: 2em;
}
}


Line 17: Line 19:
background: var(--theme-color-9);
background: var(--theme-color-9);
border: 2px solid var(--theme-accent-color);
border: 2px solid var(--theme-accent-color);
border-radius: 3px;
border-radius: 10px;
margin-top: 10px;
margin-bottom: 10px;
text-align: center;
text-align: center;
}
}
Line 35: Line 35:
padding: 1px;
padding: 1px;
margin-bottom: 10px;
margin-bottom: 10px;
border-top-left-radius: 8px;
border-top-right-radius: 8px;
}
}


#welcome .mainpage-header {
#welcome .mainpage-header {
background: unset;
background: transparent;
}
}


Line 44: Line 46:
color: var(--theme-page-text-color);
color: var(--theme-page-text-color);
}
}
.mainpage-content {
padding: 0.5em 0.5em 1em 0.5em;
}
.page__main {
.page__main {
padding: 23px 15px 15px 30px;
padding: 23px 15px 15px 30px;
Line 79: Line 86:
background-image: url("https://hna.wiki/images/Site-background-dark")
background-image: url("https://hna.wiki/images/Site-background-dark")
}
}
/* [[Template:Latest Videos]] */
#LatestVideos .mainpage-content {
display: flex;
flex-direction: column;
gap: 5px;
align-items: center;
}
/* [[Template:Latest Edits]] Fix */
#ActivityFeed .mw-changeslist ul {
list-style: none;
margin: 0;
}
#ActivityFeed .mw-changeslist-line-inner-rollback,
#ActivityFeed .mw-changeslist-line-inner-tags,
#ActivityFeed .mw-changeslist-line-inner-userTalkLink,
#ActivityFeed .mw-changeslist-line-inner-separatorAftercharacterDiff,
#ActivityFeed .mw-changeslist-line-inner-separatorAftercharacterDiff,
#ActivityFeed .mw-changeslist-line-inner-userTalkLink,
#ActivityFeed td.mw-enhanced-rc,
#ActivityFeed .mw-changeslist-legend,
#ActivityFeed .mw-changeslist-line-inner-historyLink,
#ActivityFeed .mw-changeslist-line-inner-separatorAfterLinks,
#ActivityFeed .mw-changeslist-line-inner-characterDiff,
#ActivityFeed .mw-changeslist-line-inner-comment,
#ActivityFeed .mw-changeslist-line-inner-watchingUsers,
#ActivityFeed .mw-changeslist-line-inner-watchingUsers,
#ActivityFeed .activity-tabs,
#ActivityFeed .activity-summary,
#ActivityFeed .mw-enhancedchanges-arrow-space,
#ActivityFeed .cdx-message--warning,
#ActivityFeed .mw-changeslist-links,
#ActivityFeed .mw-changeslist-separator,
#ActivityFeed .mw-changeslist-separator--semicolon,
#ActivityFeed .mw-changeslist-date,
#ActivityFeed .mw-tag-markers,
#ActivityFeed .minoredit,
#ActivityFeed ul.special .comment,
#ActivityFeed .mw-diff-bytes {
display: none;
}
#ActivityFeed .mw-changeslist-line-inner {
display: flex;
width: 100%;
justify-content: space-between;
text-align: left;
gap: 0.5em;
padding: 1px 2px;
border-radius: 3px;
}
#ActivityFeed .mw-changeslist-line:nth-of-type(odd) .mw-changeslist-line-inner {
background: var(--theme-color-8);
}
#ActivityFeed .mw-changeslist-line-inner-userLink:before {
content: "";
white-space: pre-wrap;
}
#ActivityFeed .mw-changeslist-line-inner-articleLink {
flex-grow: 2;
}
#ActivityFeed .mw-changeslist .mw-title {
word-break: break-word;
hyphens: auto;
margin-left: 2px;
}
#ActivityFeed .mw-changeslist .mw-userLink {
margin-right: 2px;
}
.skin-minerva #ActivityFeed .mw-changeslist-line {
min-height: auto;
height: 2em;
border: none;
}
.skin-minerva #ActivityFeed .mw-changeslist-line-inner::before,
.skin-minerva #ActivityFeed .mw-changeslist-line-inner::after {
content: none;
}
/* End [[Template:Latest Edits]] Fix */